{% extends 'base.html' %}

{% block content %}
<div class="project-list">
    <h1>My Projects</h1>
    <p>
        <a href="{% url 'create_project' %}">Create a new project</a>
    </p>
    {% if projects %}
    {% for project in projects %}
    <table>
        <thread>
        <th>Name</th>
        <th>Number of tasks</th>
        </thread>
        <tbody>
            <tr>
                <td>
                    <a href="{% url 'show_project' project.id %}">{{ project.name }}</a>
                </td>
                <td>{{ project.tasks.count }}</td>
            </tr>
        </tbody>
    </table>
    {% endfor %}
    {% else %}
    <p>Search Failed</p>
    {% endif %}

</div>

{% endblock %}
